<?php
/*=======================================================================
 *
 * test_b2b_history.php
 *
 * Autor: Marc Vollmann
 *
 =======================================================================*/

include_once ("../include/mcglobal.inc.php");
// include_once ("../include/auth.inc.php");
include_once ("../include/image.inc.php");


// Execution-Time for script
set_time_limit(0);


// error_reporting(-1);
// ini_set('display_errors', true);


// global $dbhost_history, $dblogin_history, $dbpassword_history, $dbname_history;
// $dbhost_history = "172.16.0.104:3271";
// $b2bTableName = "phoenix_log.b2b_objects";
$b2bTableName = "phoenix_log.b2b_objects_2015";

echo "dbhost_history: " . $dbhost_history . "<br>";
echo "dbname_history: " . $dbname_history . "<br>";
echo "dblogin_history: " . $dblogin_history . "<br>";
echo "dbpassword_history: " . $dbpassword_history . "<br>";
echo "<br>";

// Get DB connection for history tables
$db_conn = getDbConnectionSpecial($dbhost_history, $dbname_history, $dblogin_history, $dbpassword_history);

$imageFilename = getOneStmt("SELECT bo_obj_data FROM " . $b2bTableName . " WHERE bo_ext_id0 = '" . $trId . "' AND bo_type = '101'", "bo_obj_data", $db_conn);
// $imageFilename = getOneStmt("SELECT bo_obj_data FROM " . $b2bTableName . " WHERE LEFT(bo_obj_data," . $trIdLen . ") = '" . $trId . "' AND bo_type = '101'", "bo_obj_data", $db_conn);

echo "imageFilename: " . $imageFilename . "<br>";
?>